Skip to navigation

Retrieve a Tag

View as Markdown

Retrieves the Tag specified by the tagId URI parameter, from the Tag Collection specified by the tagCollectionId URI parameter.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tagCollectionIdstringRequired
tagIdstringRequired

Headers

RegionenumOptionalDefaults to US

The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values:

  • US - (Default) All requests without a specified region header will be directed to the US region.
  • EMEA - Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header “region: EMEA” in your API requests.
Allowed values:

Response

The requested data was successfully returned.
idstringOptionalRead-only

A system-generated ID to uniquely identify the Tag.

categoryIdstringOptional
The ID of the Category this Tag belongs to.
namestringOptional
The name of the Tag.
userDatamap from strings to objectsOptional

A container for user-defined custom data.

createdBystringOptional

If a three-legged access token was used to create the Tag, contains the Autodesk ID (Oxygen ID) of the person who created it. If a two-legged access token was used to create the Tag, contains the Client ID of the app that created it.

createTimedatetimeOptionalRead-only
A TimeISO 8601 Timestamp in UTC Timezone indicating when the Tag was created.
lastModifiedBystringOptional

If a three-legged access token was used to modify the Tag, contains the Autodesk ID (Oxygen ID) of the person who modified it. If a two-legged access token was used to modify the Tag, contains the Client ID of the app that modified it.

lastModifiedTimedatetimeOptionalRead-only
A TimeISO 8601 Timestamp in UTC Timezone indicating when the Tag was last modified.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error